/*
 * tkresolver - Telekinesis testing software
 *
 * Copyright (C) 2004 Robert Ham <rah@bash.sh>
 *
 * GPL all the way, baby :)
 *
 */

#ifndef __TK_EXP_CATCHER_H__
#define __TK_EXP_CATCHER_H__

#include <gtkmm.h>

#include "libtkcommon/tkstring.h"

namespace TkResolver {
  namespace Experimenter {

    class Generator
      {
      public:
	virtual void operator() () = 0;
      };
    
    // returns true if exception occured
    bool catch_exception(Generator &gen, bool interactive);
    
  } /* namespace Experimenter */
}; /* namespace TkResolver */




#endif /* __TK_EXP_CATCHER_H__ */
