/*
 * tkresolver - Telekinesis testing software
 *
 * Copyright (C) 2004 Robert Ham <rah@bash.sh>
 *
 * GPL all the way, baby :)
 *
 */

#ifndef __TK_EXP_EXPERIMENT_GROUP_H__
#define __TK_EXP_EXPERIMENT_GROUP_H__

#include "libtkcommon/tkstring.h"
#include "libtkdbui/data_selector_combo.h"

namespace TkResolver {
  namespace Experimenter {

    class ExperimentGroup : public Db::Ui::DataSelectorCombo
      {
      public:
	ExperimentGroup(Db::Database * database);
	Db::Id get_experiment_group() const;
      };

  } /* namespace Experimenter */
}; /* namespace TkResolver */

#endif /* __TK_EXP_EXPERIMENT_GROUP_H__ */
