/*
 * tkresolver - Telekinesis testing software
 *
 * Copyright (C) 2004 Robert Ham <rah@bash.sh>
 *
 * GPL all the way, baby :)
 *
 */

#ifndef __TK_EXP_INTENT_SELECTOR_H__
#define __TK_EXP_INTENT_SELECTOR_H__

#include "libtkdbui/data_selector_list.h"

namespace TkResolver {
  namespace Experimenter {
    
    class IntentSelector : public Db::Ui::DataSelectorList
      {
      private:
	Db::Code _default;
	
	/* void set_selection(const Db::Code &selection); */
	
      public:
	IntentSelector(Db::Database * database,
		       const Db::Id & experiment_group,
		       const Db::Code & dflt);
	Db::Code get_intent_code() const;
	virtual void refreshed();
      };
    
  } /* namespace Experimenter */
}; /* namespace TkResolver */

#endif /* __TK_EXP_INTENT_SELECTOR_H__ */
