/*
 * tkresolver - Telekinesis testing software
 *
 * Copyright (C) 2004 Robert Ham <rah@bash.sh>
 *
 * GPL all the way, baby :)
 *
 */

#ifndef __TK_RANDOM_TYPES_H__
#define __TK_RANDOM_TYPES_H__

#include <vector>
#include <limits>
#include <string>

namespace TkResolver {
  
  namespace Random {

    typedef char BitChar;
    typedef std::vector<BitChar> Buffer;

    static const unsigned short BITS_PER_CHAR =
      std::numeric_limits<BitChar>::digits + std::numeric_limits<BitChar>::is_signed;
    
    
    class Bits : public std::vector<bool>
      {
      public:
	void get_data (BitChar ** mem_ptr, unsigned long * mem_len_ptr) const;
	std::string get_data () const;
      };
    
  }; /* namespace Random */
  
}; /* namespace TkResolver */


#endif /* __TK_RANDOM_TYPES_H__ */
